Summary:        HTTP style message (base class)
Name:           perl-HTTP-Message
Version:        6.44
Release:        3%{?dist}
License:        (GPL+ or Artistic) and CC0
URL:            https://metacpan.org/release/HTTP-Message
Source0:        https://cpan.metacpan.org/authors/id/O/OA/OALDERS/HTTP-Message-%{version}.tar.gz

BuildRequires:  make coreutils
BuildRequires:  perl-generators perl-interpreter perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict) perl(warnings)
# Run-time:
BuildRequires:  perl(parent) perl(Carp) perl(Compress::Raw::Zlib) perl(File::Spec)
BuildRequires:  perl(Encode) >= 3.01
BuildRequires:  perl(Encode::Locale) >= 1
BuildRequires:  perl(Exporter) >= 5.57
BuildRequires:  perl(HTTP::Date) >= 6
BuildRequires:  perl(IO::Compress::Bzip2) >= 2.021
BuildRequires:  perl(IO::Uncompress::Bunzip2) >= 2.021
BuildRequires:  perl(IO::Compress::Deflate) perl(IO::Compress::Gzip) perl(IO::HTML)
BuildRequires:  perl(IO::Uncompress::Gunzip) perl(IO::Uncompress::Inflate) perl(IO::Uncompress::RawInflate)
BuildRequires:  perl(URI) >= 1.10
BuildRequires:  perl(LWP::MediaTypes) >= 6
BuildRequires:  perl(MIME::Base64) >= 2.1
BuildRequires:  perl(MIME::QuotedPrint)
BuildRequires:  perl(Clone)

# For tests
BuildRequires:  perl(File::Temp) perl(lib) perl(overload) perl(PerlIO::encoding)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Try::Tiny) perl(URI::URL) perl(Test::Needs)
BuildArch:      noarch

Requires:       perl(Compress::Raw::Zlib)
Requires:       perl(Encode) >= 3.01
Requires:       perl(Encode::Locale) >= 1
Requires:       perl(HTTP::Date) >= 6
Requires:       perl(IO::Compress::Bzip2) >= 2.021
Requires:       perl(IO::Uncompress::Bunzip2) >= 2.021
Requires:       perl(IO::Compress::Deflate) perl(IO::Compress::Gzip) perl(IO::HTML)
Requires:       perl(IO::Uncompress::Gunzip) perl(IO::Uncompress::Inflate) perl(IO::Uncompress::RawInflate)
Requires:       perl(LWP::MediaTypes) >= 6
Requires:       perl(MIME::Base64) >= 2.1
Requires:       perl(MIME::QuotedPrint)
Requires:       perl(URI) >= 1.10
Requires:       perl(Clone) >= 0.45

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Exporter|HTTP::Date|URI)\\)$
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(HTTP::Headers\\)$
%global __requires_exclude %{__requires_exclude}|^perl\\((Secret|Time::Local)\\)
%global __provides_exclude %{__provides_exclude}|^perl\\(Secret\\)$

%description
The HTTP-Message distribution contains classes useful for representing the
messages passed in HTTP style communication.


%prep
%autosetup -n HTTP-Message-%{version}
# Help to recognize Perl scripts
for file in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!\s*perl}{$Config{startperl}}' "${file}"
    chmod +x "${file}"
done


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}


%install
%{make_install}


%check
export HARNESS_OPTIONS=j%{_smp_build_ncpus}
make test


%files
%license LICENSE
%doc Changes CONTRIBUTING.md README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.44-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.44-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 02 2023 Xiaojie Chen <jackxjchen@tencent.com> - 6.44-1
- Upgrade to upstream version 6.44
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15
- Remove conditional macro because perl(Clone) is no longger an optional dependency

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.37-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.37-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 16 2023 cunshunxia <cunshunxia@tencent.com> - 6.37-2
- make perl(Clone) requirement optional.

* Thu Aug 04 2022 rockerzhu <rockerzhu@tencent.com> - 6.37-1
- Initail build
